Skip to content

Endpoint Index

A consolidated list of user-facing MissionSquad API endpoints with links to detailed reference pages.

Core

Providers

Models

  • POST /v1/core/models — see Models
  • POST /v1/core/add/model — see Models
  • POST /v1/core/delete/model — see Models

Agents

  • GET /v1/core/agents — see Agents
  • POST /v1/core/add/agent — see Agents
  • PUT /v1/core/update/agent — see Agents
  • POST /v1/core/delete/agent — see Agents
  • POST /v1/core/agent/speak — see Agents
  • POST /v1/core/agents/publish — see Agents
  • GET /v1/core/agents/published — see Agents
  • GET /v1/core/agents/shared-with-me — see Agents
  • POST /v1/core/agents/:username/:slug/shares — see Agents
  • GET /v1/core/agents/:username/:slug/shares — see Agents
  • DELETE /v1/core/agents/:username/:slug/shares — see Agents
  • GET /v1/core/agents/:username/:slug/config — see Agents
  • PUT /v1/core/agents/:username/:slug/config — see Agents
  • GET /v1/core/agents/:username/:slug/owner-tools — see Agents
  • GET /v1/core/agents/:username/:slug/owner-embeddings — see Agents
  • GET /v1/core/agents/:username/:slug/owner-voices — see Agents
  • GET /v1/public/agent/:username/:slug — see Agents
  • POST /v1/public/agent/:username/:slug/chat — see Agents
  • POST /v1/public/agent/:username/:slug/speak — see Agents
  • GET /v1/public/agent/:username/:slug/sessions — see Agents
  • GET /v1/public/agent/:username/:slug/sessions/:id — see Agents
  • POST /v1/public/agent/:username/:slug/sessions — see Agents
  • PATCH /v1/public/agent/:username/:slug/sessions/:id/title — see Agents
  • DELETE /v1/public/agent/:username/:slug/sessions/:id — see Agents
  • GET /v1/public/runs/:runId — see Agents
  • GET /v1/public/runs/:runId/stream — see Agents
  • POST /v1/public/runs/:runId/cancel — see Agents

Workflows

  • POST /v1/core/agent-workflow — see Workflows
  • GET /v1/core/workflows — see Workflows
  • POST /v1/core/workflows — see Workflows
  • PUT /v1/core/workflows/:id — see Workflows
  • DELETE /v1/core/workflows/:id — see Workflows
  • POST /v1/core/workflow-runs — see Workflows
  • GET /v1/core/workflows/:id/runs — see Workflows
  • GET /v1/core/workflow-runs/:runId — see Workflows
  • GET /v1/core/workflow-runs/:runId/hydrated — see Workflows
  • GET /v1/core/workflow-runs/:runId/stream — see Workflows
  • POST /v1/core/workflow-runs/:runId/cancel — see Workflows

Factories

  • GET /v1/core/factories — see Factories
  • POST /v1/core/factories — see Factories
  • GET /v1/core/factories/:id — see Factories
  • PUT /v1/core/factories/:id — see Factories
  • DELETE /v1/core/factories/:id — see Factories
  • GET /v1/core/factories/:id/runs — see Factories
  • POST /v1/core/factory-runs — see Factories
  • GET /v1/core/factory-runs/:runId — see Factories
  • GET /v1/core/factory-runs/:runId/steps — see Factories
  • GET /v1/core/factory-runs/:runId/steps/:stepRunId — see Factories
  • GET /v1/core/factory-runs/:runId/steps/:stepRunId/hydrated — see Factories
  • GET /v1/core/factory-runs/:runId/stream — see Factories
  • POST /v1/core/factory-runs/:runId/pause — see Factories
  • POST /v1/core/factory-runs/:runId/resume — see Factories
  • POST /v1/core/factory-runs/:runId/cancel — see Factories
  • GET /v1/core/factory-schedules — see Factories
  • POST /v1/core/factory-schedules — see Factories
  • PUT /v1/core/factory-schedules/:id — see Factories
  • DELETE /v1/core/factory-schedules/:id — see Factories
  • POST /v1/core/factory-schedules/:id/toggle — see Factories

Video Processing

Core Utilities

Saved Voices

Usage

  • GET /v1/core/usage/raw — see Usage
  • GET /v1/core/usage/summary — see Usage
  • GET /v1/core/usage/models — see Usage
  • GET /v1/core/usage/timeseries — see Usage
  • GET /v1/core/usage/billing — see Usage

Audio and Voice

Local Collections (MissionSquad Core)

  • GET /v1/core/collections — see Collections
  • POST /v1/core/collections/:collectionName/search — see Collections
  • GET /v1/core/collections/:collectionName/diagnostics — see Collections
  • POST /v1/core/collections/:collectionName/recover — see Collections

Vector Stores & Files

Vector Stores

Files

  • GET /v1/files — see Files
  • POST /v1/files (multipart) — see Files
  • GET /v1/files/:id — see Files
  • DELETE /v1/files/:id — see Files
  • GET /v1/files/:id/content — see Files

Convenience

MCP Servers (Connect & OAuth)

Account-scoped endpoints for connecting external (remote) MCP servers, including the OAuth 2.0 DCR flow. See MCP Servers (Connect & OAuth).

  • GET /.well-known/oauth/client-metadata.json
  • POST /v1/mcp/external-servers/discover
  • POST /v1/mcp/external-servers
  • POST /v1/mcp/servers/:name/install
  • PUT /v1/mcp/servers/:name/install
  • DELETE /v1/mcp/servers/:name/install
  • POST /v1/mcp/servers/:name/secrets
  • POST /v1/mcp/servers/:name/oauth/start
  • POST /v1/mcp/servers/:name/refresh
  • GET /v1/mcp/servers
  • GET /v1/mcp/servers/:name
  • GET /v1/mcp/servers/:name/tools
  • GET /v1/mcp/catalog/servers
  • POST /v1/mcp/tool/call

Webhooks

See Webhooks.

  • POST /v1/webhooks
  • GET /v1/webhooks
  • GET /v1/webhooks/:webhookId
  • PUT /v1/webhooks/:webhookId
  • DELETE /v1/webhooks/:webhookId
  • GET /v1/webhooks/:webhookId/executions
  • GET /v1/webhooks/:webhookId/token
  • POST /webhooks/trigger/:webhookId (public, secret-protected)
  • GET|POST /webhooks/oauth/callback and /webhooks/oauth/callback/:webhookId (public)

MCP API (Admin)

The MCP API is a separate, admin-only sidecar service. These endpoints are served by the MCP API, not the MissionSquad API.

Packages

  • POST /packages/install — see Packages
  • GET /packages — see Packages
  • GET /packages/by-name/:name — see Packages
  • GET /packages/by-id/:name — see Packages
  • DELETE /packages/:name — see Packages
  • PUT /packages/:name/enable — see Packages
  • PUT /packages/:name/disable — see Packages
  • GET /packages/updates — see Packages
  • PUT /packages/:name/upgrade — see Packages
  • PUT /packages/upgrade-all — see Packages

Servers & Tools

Secrets

Health

Hosted MCP Server (for AI agents)

The platform-hosted Mission Squad MCP Server exposes the whole MissionSquad API as MCP tools (76 msq_* tools) at https://mcp.missionsquad.ai.

See also